=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2007-06-25 01:53:48 +0000
+++ loggerhead/history.py	2007-06-25 06:44:52 +0000
@@ -153,8 +153,8 @@
         
     # make short form of commit message
     short_message = message[0]
-    if len(short_message) > 60:
-        short_message = short_message[:60] + '...'
+    if len(short_message) > 80:
+        short_message = short_message[:80] + '...'
     
     return message, short_message
 
@@ -607,6 +607,11 @@
                 else:
                     parent_revid = None
                 change.changes.modified = self._parse_diffs(parent_revid, change.revid)
+
+        parity = 0
+        for change in changes:
+            change.parity = parity
+            parity ^= 1
         
         return changes
 

=== modified file 'loggerhead/static/css/style.css'
--- loggerhead/static/css/style.css	2007-01-24 19:17:40 +0000
+++ loggerhead/static/css/style.css	2007-06-25 06:44:52 +0000
@@ -25,7 +25,7 @@
     color: #708a96;
     font-weight: normal;
     font-size: 1.6em;
-    margin-bottom: 1.5em;
+    margin-bottom: 1em;
 }
 h1 .filename {
     font-family: monospace;
@@ -201,16 +201,25 @@
 /* ----- changelog page ----- */
 
 /* secret css-jutsu to make hidden margins vanish on a table */
-.log-entries table {
+.log-entries {
     border-collapse: collapse;
-    width: 100%;
-}
+    width: 98%;
+    margin-top: 0.5em;
+    margin-left: 1em;
+}
+
+.log-entries .log-header {
+    background-color: #8cacbb;
+    padding-top: 3px;
+    padding-bottom: 3px;
+    text-align: left;
+}
+
 
 .log-entries .revision-header {
-    background-color: #dee7ec;
-    padding: 3px;
-    width: 80%;
-    margin-top: 1em;
+    font-size: normal;
+    width: 98%;
+    margin-top: 0.5em;
     margin-left: 1em;
 }
 
@@ -218,51 +227,39 @@
     width: 20px;
 }
 
-.log-entries .revision-header .revision-number {
-    width: 6em;
+.log-entries .revision-number {
     padding-left: 0.5em;
 }
 
+.log-entries .revision-header td.date {
+    font-size: smaller;
+}
+
 .log-entries .revision-header .inventory-link {
     font-size: smaller;
     vertical-align: middle;
-    width: 4em;
-    text-align: right;
+    text-align: left;
     padding-right: 0.5em;
 }
 
 .log-entries .revision-details-block {
-    width: 80%;
     border: none;
     margin-left: 8em;
-    margin-bottom: 1.5em;
+    margin-bottom: 0.5em;
 }
 
-.log-entries .revision-details table {
+.log-entries table.revision-details {
     font-size: smaller;
-    width: 100%;
 }
 
-.log-entries .revision-details th {
-    width: 8em;
+.log-entries table.revision-details th {
     text-align: right;
     padding-right: 0.5em;
     vertical-align: top;
 }
 
-.log-entries .revision-details td.date {
-/*    font-family: monospace; */
-}
-
-.log-entries .revision-details th.files {
-    padding-top: 1em;
-}
-
-.log-entries .revision-details td.files {
-    padding-top: 1em;
-}
-
-.log-entries .revision-details td.files .filename {
+
+.log-entries table.revision-details td.files .filename {
     font-family: monospace;
 }
 
@@ -270,12 +267,8 @@
     font-size: smaller;
 }
 
-.log-entries .revision-details th.description {
-    padding-top: 1em;
-}
 .log-entries .revision-details td.description {
     font-family: monospace;
-    padding-top: 1em;
 }
 
 /* default state: hide all */
@@ -470,7 +463,7 @@
 
 table.inventory {
     border-collapse: collapse;
-    width: 80%;
+    width: 100%;
     font-size: smaller;
     margin-top: 1em;
     border: 1px solid #8cacbb;
@@ -498,8 +491,8 @@
 
 .inventory td.permissions {
     font-family: monospace;
+    padding-left: 0.5em;
     width: 9em;
-    padding-left: 0.5em;
 }
 
 .inventory td.filename {
@@ -507,31 +500,30 @@
 }
 
 .inventory td.size {
-	font-family: monospace;
-	font-size: smaller;
-	width: 5em;
+    font-family: monospace;
+    font-size: smaller;
+    width: 5em;
 }
 
 .inventory td.revision {
+    padding-right: 1em;
+    text-align: left;
     width: 8em;
-    padding-right: 1.5em;
 }
 
 .inventory td.date {
-    font-family: monospace;
-    font-size: smaller;
+    padding-right: 1em;
     width: 10em;
-    padding-right: 1.5em;
 }
 
 .inventory td.changes-link {
+    font-size: smaller;
     width: 6em;
-    font-size: smaller;
 }
 
 .inventory td.download-link {
+    font-size: smaller;
     width: 8em;
-    font-size: smaller;
 }
 
 span.folder {
@@ -639,23 +631,23 @@
 }
 
 .browse-view td,.browse-view th {
-	padding: 0.25em 0.5em 0.25em 0.5em;
+    padding: 0.25em 0.5em 0.25em 0.5em;
 }
 
 .browse-view td.name {
-	width: 20%;
+    width: 20%;
 }
 
 .browse-view td.last-update {
-	font-size: smaller;
-	width: 15%;
+    font-size: smaller;
+    width: 20em;
 }
 
 .browse-view td.url {
-	font-family: monospace;
-	font-size: smaller;
-	padding-left: 3em;
-	padding-top: 0px;
+    font-family: monospace;
+    font-size: smaller;
+    padding-left: 3em;
+    padding-top: 0px;
 }
 
 .browse-view td.feed {

=== modified file 'loggerhead/templates/changelog.kid'
--- loggerhead/templates/changelog.kid	2007-06-08 11:52:33 +0000
+++ loggerhead/templates/changelog.kid	2007-06-25 06:44:52 +0000
@@ -37,83 +37,78 @@
 
 <span py:if="not search_failed" class="changelog"> ${collapse_all_button('cl')} </span>
 
-<div class="log-entries">
+<table class="log-entries">
+    <tr class="log-header">
+        <th class="revision-number">Rev</th>
+        <th></th>
+        <th class="summary">Summary</th>
+        <th class="date" colspan="2">Date</th>
+    </tr>
     <div py:for="entry in changes" class="revision">
         <a name="entry-${entry.revno}" />
-        <div class="revision-header">
-            <table>
-                <tr>
-                    <td class="revision-number"> ${revision_link(entry.revid, util.trunc(entry.revno))} </td>
-                    <td class="expand-button"> ${collapse_button('cl', entry.revno)} </td>
-					<td class="summary"> ${revision_link(entry.revid, entry.short_comment)} </td>
-					<td class="inventory-link"> <a href="${branch.url([ '/files', entry.revid ])}">&#8594; files</a> </td>
-				</tr>
-			</table>
-        </div>
-        
-        <div class="revision-details-block">
-            <div class="revision-details">
-			    <table>
-			        <tr>
-			            <th class="author">committed by:</th>
-			            <td class="author"> ${util.hide_email(entry.author)} </td>
-			        </tr>
-			        <tr>
-			            <th class="date">date:</th>
-			            <td class="date"> ${entry.date.strftime('%d %b %Y %H:%M')} &nbsp; (${util.ago(entry.date)}) </td>
-			        </tr>
-			    </table>
-			</div>
-	        <div class="revision-details hidden-details collapse-cl-${entry.revno}-content">
-		        <table>
-			        <tr py:if="len(entry.merge_points) > 0">
-			            <th class="children"> merged in: </th>
-			            <td class="children">
-			                <span py:for="child in entry.merge_points">
-			                    ${loglink(child.revid, '(' + child.revno + util.if_present(' %s', child.branch_nick) + ')')} <br />
-			                </span>
-			            </td>
-			        </tr>
-			        <tr py:if="len(entry.parents) > 1">
-			        	<th class="parents"> merged from: </th>
-			        	<td class="parents">
-			        	    <span py:for="parent in entry.parents"><span py:if="parent.revid != entry.parents[0].revid">
-			        	        ${loglink(parent.revid, '(' + parent.revno + util.if_present(' %s', parent.branch_nick) + ')')} <br />
-			        	    </span></span>
-			        	</td>
-			        </tr>
-
-			        <tr py:if="entry.changes.added">
-			            <th class="files"> files added: </th>
-			            <td class="files"> <span py:for="filename, fid in entry.changes.added" class="filename">${file_link(filename, fid, entry.revid)} <br /></span> </td>
-			        </tr>
-			        <tr py:if="entry.changes.removed">
-			            <th class="files"> files removed: </th>
-			            <td class="files"> <span py:for="filename, fid in entry.changes.removed" class="filename">${file_link(filename, fid, entry.revid)} <br /></span> </td>
-			        </tr>
-			        <tr py:if="entry.changes.renamed">
-			            <th class="files"> files renamed: </th>
-			            <td class="files"> <span py:for="old_filename, new_filename, fid in entry.changes.renamed" class="filename">
-			                ${file_link(old_filename, fid, entry.revid)} => ${file_link(new_filename, fid, entry.revid)}<br />
-			            </span> </td>
-			        </tr>
-			        <tr py:if="entry.changes.modified">
-			            <th class="files"> files modified: </th>
-			            <td class="files"> <span py:for="item in entry.changes.modified">
-			                <span class="filename">${file_link(item.filename, item.file_id, entry.revid)}</span> &nbsp;
-			                <a href="${branch.url([ '/revision', entry.revid ], **util.get_context()) + '#' + item.filename}" class="jump">&#8594; diff</a>
-			                <br />
-			            </span> </td>
-			        </tr>
-			        <tr>
-			            <th class="description">description:</th>
-		                <td class="description"><span py:for="line in entry.comment_clean">${XML(line)} <br /></span> </td>
-		            </tr>
-		        </table>
-	    	</div>
-        </div>
+        <tr class="revision-header parity${entry.parity}">
+            <td class="revision-number"> ${revision_link(entry.revid, util.trunc(entry.revno))} </td>
+            <td class="expand-button"> ${collapse_button('cl', entry.revno)} </td>
+            <td class="summary"> ${revision_link(entry.revid, entry.short_comment)} </td>
+            <td class="date"> ${entry.date.strftime('%Y-%m-%d, %H:%M')} &nbsp; (${util.ago(entry.date)}) </td>
+            <td class="inventory-link"> 
+                <a href="${branch.url([ '/files', entry.revid ])}"
+                    title="Files at revision ${entry.revno}"> files</a> </td>
+        </tr>
+        <tr class="revision-details-block parity${entry.parity}">
+            <td colspan="2"></td>
+            <td colspan="3"><table class="revision-details hidden-details collapse-cl-${entry.revno}-content">
+                <tr>
+                    <th class="author">committed by:</th>
+                    <td class="author"> ${util.hide_email(entry.author)} </td>
+                </tr>
+                <tr py:if="len(entry.merge_points) > 0">
+                    <th class="children"> merged in: </th>
+                    <td class="children">
+                        <span py:for="child in entry.merge_points">
+                            ${loglink(child.revid, '(' + child.revno + util.if_present(' %s', child.branch_nick) + ')')} <br />
+                        </span>
+                    </td>
+                </tr>
+                <tr py:if="len(entry.parents) > 1">
+                    <th class="parents"> merged from: </th>
+                    <td class="parents">
+                        <span py:for="parent in entry.parents"><span py:if="parent.revid != entry.parents[0].revid">
+                            ${loglink(parent.revid, '(' + parent.revno + util.if_present(' %s', parent.branch_nick) + ')')} <br />
+                        </span></span>
+                    </td>
+                </tr>
+                <tr>
+                    <th class="description">description:</th>
+                    <td class="description"><span py:for="line in entry.comment_clean">${XML(line)} <br /></span> </td>
+                </tr>
+                <tr py:if="entry.changes.added">
+                    <th class="files"> files added: </th>
+                    <td class="files"> <span py:for="filename, fid in entry.changes.added" class="filename">${file_link(filename, fid, entry.revid)} <br /></span> </td>
+                </tr>
+                <tr py:if="entry.changes.removed">
+                    <th class="files"> files removed: </th>
+                    <td class="files"> <span py:for="filename, fid in entry.changes.removed" class="filename">${file_link(filename, fid, entry.revid)} <br /></span> </td>
+                </tr>
+                <tr py:if="entry.changes.renamed">
+                    <th class="files"> files renamed: </th>
+                    <td class="files"> <span py:for="old_filename, new_filename, fid in entry.changes.renamed" class="filename">
+                        ${file_link(old_filename, fid, entry.revid)} => ${file_link(new_filename, fid, entry.revid)}<br />
+                    </span> </td>
+                </tr>
+                <tr py:if="entry.changes.modified">
+                    <th class="files"> files modified: </th>
+                    <td class="files"> <span py:for="item in entry.changes.modified">
+                        <span class="filename">${file_link(item.filename, item.file_id, entry.revid)}</span> &nbsp;
+                        <a href="${branch.url([ '/revision', entry.revid ], **util.get_context()) + '#' + item.filename}" class="jump">&#8594; diff</a>
+                        <br />
+                    </span> </td>
+                </tr>
+                </table>
+            </td>
+        </tr>
     </div>
-</div>
+</table>
 
 <div py:if="navigation.prev_page_revid or navigation.next_page_revid" class="bar">
     <table>

=== modified file 'loggerhead/templates/inventory.kid'
--- loggerhead/templates/inventory.kid	2007-01-24 19:26:50 +0000
+++ loggerhead/templates/inventory.kid	2007-06-25 06:44:52 +0000
@@ -63,11 +63,11 @@
     <tr class="header">
         <th class="permissions"> Permissions </th>
         <th> <a href="${branch.url([ '/files', revid ], **util.get_context(sort='filename'))}">Filename</a> </th>
+        <th> Latest Rev </th>
+        <th> <a href="${branch.url([ '/files', revid ], **util.get_context(sort='date'))}">Last Changed</a> </th>
         <th> <a href="${branch.url([ '/files', revid ], **util.get_context(sort='size'))}">Size</a> </th>
-        <th> Last change </th>
-        <th> <a href="${branch.url([ '/files', revid ], **util.get_context(sort='date'))}">When</a> </th>
-        <th> History </th>
-        <th> Download </th>
+        <th>  </th>
+        <th>  </th>
     </tr>
     
     <tr class="parity1" py:if="updir">
@@ -86,16 +86,16 @@
             <a py:if="file.kind=='file'" href="${branch.url([ '/annotate', revid ],
                 **util.get_context(file_id=file.file_id))}" title="Annotate ${file.filename}">${file.filename}</a>
         </td>
+        <td class="revision"> ${revision_link(file.revid, util.trunc(file.change.revno, 15), **util.get_context(start_revid=file.revid, file_id=file.file_id))} </td>
+        <td class="date"> ${file.change.date.strftime('%Y-%m-%d, %H:%M')} </td>
         <td class="size"> <span py:if="file.kind=='file'"> ${util.human_size(file.size)} </span></td>
-        <td class="revision"> ${revision_link(file.revid, util.trunc(file.change.revno, 15), **util.get_context(start_revid=file.revid, file_id=file.file_id))} </td>
-        <td class="date"> ${file.change.date.strftime('%d %b %Y %H:%M')} </td>
         <td class="changes-link"> 
             <a href="${branch.url('/changes', **util.get_context(start_revid=file.revid, file_id=file.file_id))}"
-               title="Changes from ${file.change.revno} affecting ${file.filename}"> &#8594; changes </a>
+               title="Changes affecting ${file.filename} up to revision ${file.change.revno}"> changes </a>
         </td>
         <td class="download-link">
             <a href="${branch.url([ '/download', file.revid, file.file_id, file.filename ])}"
-               title="Download ${file.filename} at revision ${file.change.revno}"> &#8594; download </a></td>
+               title="Download ${file.filename} at revision ${file.change.revno}">  download </a></td>
     </tr>
 </table>
 

